# $Id: tc_process.rb,v 1.1 2002/04/15 15:56:08 knu Exp $

require 'test/unit'
begin
  require 'features/ruby18/process'
rescue LoadError; end

class TC_Process < Test::Unit::TestCase
  def test_s_times
    t = Process.times
    assert_kind_of(Struct::Tms, t)
    assert_kind_of(Float, t.utime)
    assert_kind_of(Float, t.stime)
    assert_kind_of(Float, t.cutime)
    assert_kind_of(Float, t.cstime)
  end
end
